%define name	yum
%define version	2.0.1
%define release	1mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	RPM installer/updater
License:	GPL
Group:		System/Configuration/Packaging
Source:		%{name}-%{version}.tar.bz2
URL:		http://www.dulug.duke.edu/yum
BuildRequires:	python-devel
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Yum is a utility that can check for and automatically download and
install updated RPM packages. Dependencies are obtained and downloaded 
automatically prompting the user as necessary.

Caution: default installation use a service to allow/disallow cron-based
automatic upgrade

%prep
%setup -q

%build
%configure --libdir=%{_datadir}
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
# correct scripts
perl -pi -e 's|%{_libdir}/yum|%{_datadir}/yum|' $RPM_BUILD_ROOT%{_bindir}/*
# remove init stuff
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/cron.daily/yum.cron
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/init.d/%{name}
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/%{name}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-, root, root)
%doc README AUTHORS COPYING TODO INSTALL
%config(noreplace) %{_sysconfdir}/yum.conf
%{_datadir}/yum
%{_bindir}/*
/var/cache/yum
%{_mandir}/man*/*

%changelog
* Sat Aug 16 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 2.0.1-1mdk
- 2.0.1

* Wed May 21 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.0.1-1mdk
- 1.0.1

* Mon Apr 28 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.0-2mdk
- removed useless %%preun and %%post sections

* Wed Apr 16 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.0-1mdk
- 1.0
- removed init stuff

* Sun Jan 26 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.9.4-2mdk
- fixed scripts

* Sat Jan 25 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.9.4-1mdk
- first mdk release based on Seth Vidal <skvidal@phy.duke.edu> work
